Create Sales Order Line Item
curl --request POST \
--url https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId}/lineitems \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
[
{
"Quantity": 123,
"ItemId": 123,
"Name": "<string>",
"SKU": "<string>",
"SalesUnit": "<string>",
"SalesPriceNet": 123,
"SalesPriceGross": 123,
"Discount": 123,
"PurchasePriceNet": 123,
"TaxRate": 123,
"Notice": "<string>"
}
]
'import requests
url = "https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId}/lineitems"
payload = [
{
"Quantity": 123,
"ItemId": 123,
"Name": "<string>",
"SKU": "<string>",
"SalesUnit": "<string>",
"SalesPriceNet": 123,
"SalesPriceGross": 123,
"Discount": 123,
"PurchasePriceNet": 123,
"TaxRate": 123,
"Notice": "<string>"
}
]
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify([
{
Quantity: 123,
ItemId: 123,
Name: '<string>',
SKU: '<string>',
SalesUnit: '<string>',
SalesPriceNet: 123,
SalesPriceGross: 123,
Discount: 123,
PurchasePriceNet: 123,
TaxRate: 123,
Notice: '<string>'
}
])
};
fetch('https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId}/lineitems', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId}/lineitems",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'Quantity' => 123,
'ItemId' => 123,
'Name' => '<string>',
'SKU' => '<string>',
'SalesUnit' => '<string>',
'SalesPriceNet' => 123,
'SalesPriceGross' => 123,
'Discount' => 123,
'PurchasePriceNet' => 123,
'TaxRate' => 123,
'Notice' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId}/lineitems"
payload := strings.NewReader("[\n {\n \"Quantity\": 123,\n \"ItemId\": 123,\n \"Name\": \"<string>\",\n \"SKU\": \"<string>\",\n \"SalesUnit\": \"<string>\",\n \"SalesPriceNet\": 123,\n \"SalesPriceGross\": 123,\n \"Discount\": 123,\n \"PurchasePriceNet\": 123,\n \"TaxRate\": 123,\n \"Notice\": \"<string>\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId}/lineitems")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"Quantity\": 123,\n \"ItemId\": 123,\n \"Name\": \"<string>\",\n \"SKU\": \"<string>\",\n \"SalesUnit\": \"<string>\",\n \"SalesPriceNet\": 123,\n \"SalesPriceGross\": 123,\n \"Discount\": 123,\n \"PurchasePriceNet\": 123,\n \"TaxRate\": 123,\n \"Notice\": \"<string>\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId}/lineitems")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"Quantity\": 123,\n \"ItemId\": 123,\n \"Name\": \"<string>\",\n \"SKU\": \"<string>\",\n \"SalesUnit\": \"<string>\",\n \"SalesPriceNet\": 123,\n \"SalesPriceGross\": 123,\n \"Discount\": 123,\n \"PurchasePriceNet\": 123,\n \"TaxRate\": 123,\n \"Notice\": \"<string>\"\n }\n]"
response = http.request(request)
puts response.read_body[
{
"Id": 123,
"SalesOrderId": 123,
"ItemId": 123,
"Name": "<string>",
"SKU": "<string>",
"Type": 0,
"Quantity": 123,
"QuantityDelivered": 123,
"QuantityReturned": 123,
"SalesUnit": "<string>",
"SalesPriceNet": 123,
"SalesPriceGross": 123,
"Discount": 123,
"PurchasePriceNet": 123,
"TaxRate": 123,
"Notice": "<string>"
}
]{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Sales Order
Create Sales Order Line Item
deprecated
Create a new line item for a specific sales order
POST
/
salesOrders
/
{salesOrderId}
/
lineitems
Create Sales Order Line Item
curl --request POST \
--url https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId}/lineitems \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
[
{
"Quantity": 123,
"ItemId": 123,
"Name": "<string>",
"SKU": "<string>",
"SalesUnit": "<string>",
"SalesPriceNet": 123,
"SalesPriceGross": 123,
"Discount": 123,
"PurchasePriceNet": 123,
"TaxRate": 123,
"Notice": "<string>"
}
]
'import requests
url = "https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId}/lineitems"
payload = [
{
"Quantity": 123,
"ItemId": 123,
"Name": "<string>",
"SKU": "<string>",
"SalesUnit": "<string>",
"SalesPriceNet": 123,
"SalesPriceGross": 123,
"Discount": 123,
"PurchasePriceNet": 123,
"TaxRate": 123,
"Notice": "<string>"
}
]
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify([
{
Quantity: 123,
ItemId: 123,
Name: '<string>',
SKU: '<string>',
SalesUnit: '<string>',
SalesPriceNet: 123,
SalesPriceGross: 123,
Discount: 123,
PurchasePriceNet: 123,
TaxRate: 123,
Notice: '<string>'
}
])
};
fetch('https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId}/lineitems', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId}/lineitems",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'Quantity' => 123,
'ItemId' => 123,
'Name' => '<string>',
'SKU' => '<string>',
'SalesUnit' => '<string>',
'SalesPriceNet' => 123,
'SalesPriceGross' => 123,
'Discount' => 123,
'PurchasePriceNet' => 123,
'TaxRate' => 123,
'Notice' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId}/lineitems"
payload := strings.NewReader("[\n {\n \"Quantity\": 123,\n \"ItemId\": 123,\n \"Name\": \"<string>\",\n \"SKU\": \"<string>\",\n \"SalesUnit\": \"<string>\",\n \"SalesPriceNet\": 123,\n \"SalesPriceGross\": 123,\n \"Discount\": 123,\n \"PurchasePriceNet\": 123,\n \"TaxRate\": 123,\n \"Notice\": \"<string>\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId}/lineitems")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"Quantity\": 123,\n \"ItemId\": 123,\n \"Name\": \"<string>\",\n \"SKU\": \"<string>\",\n \"SalesUnit\": \"<string>\",\n \"SalesPriceNet\": 123,\n \"SalesPriceGross\": 123,\n \"Discount\": 123,\n \"PurchasePriceNet\": 123,\n \"TaxRate\": 123,\n \"Notice\": \"<string>\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId}/lineitems")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"Quantity\": 123,\n \"ItemId\": 123,\n \"Name\": \"<string>\",\n \"SKU\": \"<string>\",\n \"SalesUnit\": \"<string>\",\n \"SalesPriceNet\": 123,\n \"SalesPriceGross\": 123,\n \"Discount\": 123,\n \"PurchasePriceNet\": 123,\n \"TaxRate\": 123,\n \"Notice\": \"<string>\"\n }\n]"
response = http.request(request)
puts response.read_body[
{
"Id": 123,
"SalesOrderId": 123,
"ItemId": 123,
"Name": "<string>",
"SKU": "<string>",
"Type": 0,
"Quantity": 123,
"QuantityDelivered": 123,
"QuantityReturned": 123,
"SalesUnit": "<string>",
"SalesPriceNet": 123,
"SalesPriceGross": 123,
"Discount": 123,
"PurchasePriceNet": 123,
"TaxRate": 123,
"Notice": "<string>"
}
]{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Authorizations
oauth2-authorization-codeoauth2-client-credentials
Headers
Path Parameters
Body
application/json
The line items to create.
Response
The created line items.
Was this page helpful?